dim xn,yn,xo,yo as integer
dim enddrawing as byte
dim addressread as uinteger
sub postscriptread(ad1 as uinteger)
  enddrawing=0
  addressread=ad1
  drawcommand$="m"
  xn=0:yn=0:xo=xn:yo=yn
  while enddrawing=0:
    if peek(addressread+1)=255 then:
      if chr$(peek(addressread))="m" then:drawcommand$="m":end if
      if chr$(peek(addressread))="l" then:drawcommand$="l":end if
      if chr$(peek(addressread))="c" then:drawcommand$="c":end if
      if chr$(peek(addressread))="q" then:drawcommand$="q":end if
      if chr$(peek(addressread))="z" then:enddrawing=1:end if
    else
      if drawcommand$="m" then:
        xo=xn:yo=yn
        xn=peek(addressread):yn=191-peek(addressread+1)
        rem pause 0
        end if
      if drawcommand$="l" then:
        xo=xn:yo=yn
        xn=peek(addressread):yn=191-peek(addressread+1)
        plot xo,yo
        draw xn-xo,yn-yo
        end if
      end if
    addressread=addressread+2
    end while
  end sub





